﻿Imports MindFusion.RealTimeCharting.Wpf

Public Class MyChart
    Inherits RealTimeChart

    Private m_indicatorLine As Line
    Private m_plotArea As PlotArea
    Private m_lineCanvas As Canvas

    Public Overrides Sub OnApplyTemplate()
        MyBase.OnApplyTemplate()
        m_indicatorLine = DirectCast(GetTemplateChild("hereLine"), Line)
        m_plotArea = DirectCast(GetTemplateChild("plotArea"), PlotArea)
        m_lineCanvas = DirectCast(GetTemplateChild("canvasLine"), Canvas)
    End Sub

    Public Property IndicatorLine() As Line
        Get
            Return m_indicatorLine
        End Get
        Set(value As Line)
            m_indicatorLine = value
        End Set
    End Property

    Public Property PlotArea() As PlotArea
        Get
            Return m_plotArea
        End Get
        Set(value As PlotArea)
            m_plotArea = value
        End Set
    End Property

    Public Property LineCanvas() As Canvas
        Get
            Return m_lineCanvas
        End Get
        Set(value As Canvas)
            m_lineCanvas = value
        End Set
    End Property
End Class
